SDL_MouseButtonEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
SDL_MouseID | which
Uint8 | button
bool | down
Uint8 | clicks
Uint8 | padding
float | x
float | y

## Detailed Description

Mouse button event structure (event.button.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 463 of file SDL_events.h.

## Field Documentation

## button

Uint8 SDL_MouseButtonEvent::button

The mouse button index

Definition at line 470 of file SDL_events.h.

## clicks

Uint8 SDL_MouseButtonEvent::clicks

1 for single-click, 2 for double-click, etc.

Definition at line 472 of file SDL_events.h.

## down

bool SDL_MouseButtonEvent::down

true if the button is pressed

Definition at line 471 of file SDL_events.h.

## padding

Uint8 SDL_MouseButtonEvent::padding

Definition at line 473 of file SDL_events.h.

## reserved

Uint32 SDL_MouseButtonEvent::reserved

Definition at line 466 of file SDL_events.h.

## timestamp

Uint64 SDL_MouseButtonEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 467 of file SDL_events.h.

## type

SDL_EventType SDL_MouseButtonEvent::type

SDL_EVENT_MOUSE_BUTTON_DOWN or SDL_EVENT_MOUSE_BUTTON_UP

Definition at line 465 of file SDL_events.h.

## which

SDL_MouseID SDL_MouseButtonEvent::which

The mouse instance id in relative mode, SDL_TOUCH_MOUSEID for touch events, or 0

Definition at line 469 of file SDL_events.h.

## windowID

SDL_WindowID SDL_MouseButtonEvent::windowID

The window with mouse focus, if any

Definition at line 468 of file SDL_events.h.

## x

float SDL_MouseButtonEvent::x

X coordinate, relative to window

Definition at line 474 of file SDL_events.h.

## y

float SDL_MouseButtonEvent::y

Y coordinate, relative to window

Definition at line 475 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h